<script>
	export let data;
	const { title, date, content } = data;

	import { pageData } from '$lib/stores/pageData.js';
	$: pageData.update(() => data);
</script>

<svelte:head>
	<title>{title} - Meu blog</title>
	<meta property="og:title" content={title} />
</svelte:head>

{#if content}
	<article>
		<!-- <p>Publicado em: {date}</p> -->

		<!-- TODO: Remover isso -->
		<h2>Atenção</h2>
		<ul>
			<li>🚧 Posts ainda estão sendo revisados</li>
			<li>🐞 Bugs de formatação podem ser encontrados</li>
			<li>⚒️ Todos os recursos ainda não foram implementados</li>
		</ul>

		<svelte:component this={content} />
	</article>
{:else}
	404 - Post não encontrado
{/if}
